var _excluded = ["dataSource", "value", "onChange"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/*
 * @Author: 大鸡腿 734164941@qq.com
 * @Date: 2022-08-09 15:24:40
 * @LastEditors: 大鸡腿 734164941@qq.com
 * @LastEditTime: 2022-09-21 12:56:02
 * @FilePath: \suo-uicomponent\src\components\radio-group\index.tsx
 *
 * Copyright (c) 2022 by 大鸡腿 734164941@qq.com, All Rights Reserved.
 */
import React, { useCallback, useMemo, useEffect } from 'react';
import { Radio } from 'antd';
import "./index.less";
export default function RadioGroup(_ref) {
  var _ref$dataSource = _ref.dataSource,
    dataSource = _ref$dataSource === void 0 ? [] : _ref$dataSource,
    value = _ref.value,
    onChange = _ref.onChange,
    others = _objectWithoutProperties(_ref, _excluded);
  var handleOnChange = useCallback(function (changedValue) {
    onChange && onChange(changedValue);
  }, [onChange]);
  useEffect(function () {
    if (!value) {
      handleOnChange(dataSource === null || dataSource === void 0 ? void 0 : dataSource[0].value);
    }
  }, []);
  var $radios = useMemo(function () {
    return dataSource.map(function (_ref2) {
      var value = _ref2.value,
        label = _ref2.label,
        text = _ref2.text;
      return /*#__PURE__*/React.createElement(Radio, {
        value: value,
        key: value
      }, label || text);
    });
  }, [dataSource]);
  return /*#__PURE__*/React.createElement("div", {
    className: "radio-style"
  }, /*#__PURE__*/React.createElement(Radio.Group, _extends({
    onChange: handleOnChange
  }, others, {
    value: value
  }), $radios));
}